lib = File.expand_path("lib", __dir__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "crowsad/version"

Gem::Specification.new do |spec|
  spec.name          = "crowsad"
  spec.version       = Crowsad::VERSION
  spec.authors       = ["Gitea"]
  spec.email         = ["gitea@fake.local"]

  spec.summary       = %q{Crowsad is a mixed AI approach that combines Duck Duck Go glossary building with prepositional dictionaries to constructing realistic dangling modifiers.}
  spec.description   = %q{Crowsad was conceptualized as a way of blending Duck Duck Go with Dangling Modifier generation so as to learn new words overs time, rather than having to index everything in one go. It uses four input vectors and one output vector. Github version is old version. Credit Andrew Jones for Duck Duck Go.}
  spec.homepage      = "https://github.com/LWFlouisa/Crowsad"
  spec.license       = "MIT"

  # Specify which files should be added to the gem when it is released.
  # The `git ls-files -z` loads the files in the RubyGem that have been added into git.
  spec.files         = Dir.chdir(File.expand_path('..', __FILE__)) do
    `git ls-files -z`.split("\x0").reject { |f| f.match(%r{^(test|spec|features)/}) }
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 2.0"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "rspec", "~> 3.0"
  
  spec.add_runtime_dependency "duck-duck-go", "1.1.3"
end
